/* ---------------------------------------------------------------- 
 *
 * casca.h
 *
 * ---------------------------------------------------------------- */

#ifndef INCLUDE_CASCA_H
#define INCLUDE_CASCA_H 

/* ---------------------------------------------------------------- */

#define P_TITLE         "CASCA-Scheduler"
#define P_VERSION       "0.019"

/* ---------------------------------------------------------------- */

#include <sys/time.h>

/* ---------------------------------------------------------------- */

typedef struct observation_tag {
  char  name[32];
  int   number;
  float time_up,time_dn;
} Observation;

/* ---------------------------------------------------------------- */

#ifdef IS_CASCA_C
#define EXT_CASCA
#else
#define EXT_CASCA extern
#endif

EXT_CASCA char   baade_host[64],clay_host[64],dimm_host[64],dupont_host[64];
EXT_CASCA double baade_az,baade_el;
EXT_CASCA double clay_az,clay_el;
EXT_CASCA double dupont_az,dupont_el;
EXT_CASCA double dimm_az,dimm_el; 
EXT_CASCA double env_temp,env_pres,env_humi,env_wind,env_wdir;

/* ---------------------------------------------------------------- */

extern void logit(time_t ut,const char* who,const char* what,int keep);

extern void get_sun (time_t,double,double,double*,double*,
                     double*,double*);
extern void get_moon(time_t,double,double,double*,double*,
                     double*,double*,double*);

extern double tele_query(void);
extern void   tele_close(void);

/* ---------------------------------------------------------------- */

#endif /* INCLUDE_CASCA_H  */

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */

