/* ---------------------------------------------------------------- 
 *
 * zwo.h
 *
 * ---------------------------------------------------------------- */

#ifndef INCLUDE_ZWO_H
#define INCLUDE_ZWO_H 

/* ---------------------------------------------------------------- */

#ifdef MACOSX
#include <sys/types.h>
#endif
#include <pthread.h>

/* ---------------------------------------------------------------- */

typedef struct zwo_struct_tag {
  char   host[64];
  int    port,sock;
  char   serverVersion[32],model[32];
  u_int  cookie;
  int    maxWidth,maxHeight,hasCooler,isColor;
  float  tempSensor,percent;
  int    aoiW,aoiH,startX,startY;
  double expTime;
  int    gain,offset,bits,bitDepth;
  int    filter,nfilters;
  pthread_mutex_t ioLock;
} ZwoStruct;

/* ---------------------------------------------------------------- */

ZwoStruct* zwo_create  (const char*,int);
int  zwo_connect    (ZwoStruct*);
int  zwo_open       (ZwoStruct*);
int  zwo_setup      (ZwoStruct*,int,int,int,int,int,int);
int  zwo_disconnect (ZwoStruct*);
int  zwo_close      (ZwoStruct*);
void zwo_free       (ZwoStruct*);

int  zwo_temperature (ZwoStruct*);
int  zwo_tempcon     (ZwoStruct*,int);
int  zwo_exptime     (ZwoStruct*,double);
int  zwo_offset      (ZwoStruct*,int);
int  zwo_gain        (ZwoStruct*,int);
int  zwo_flip        (ZwoStruct*,int,int);
int  zwo_filter      (ZwoStruct*,int,int);

int  zwo_expose      (ZwoStruct*);
int  zwo_data        (ZwoStruct*,void*,int);

/* ---------------------------------------------------------------- */

#endif /* INCLUDE_ZWO_H */

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
